var classflair_1_1meta_1_1_uav_state_machine =
[
    [ "AltitudeMode_t", "classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9", [
      [ "Manual", "classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9ae1ba155a9f2e8c3be94020eef32a0301", null ],
      [ "Custom", "classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9a90589c47f06eb971d548591f23c285af", null ]
    ] ],
    [ "OrientationMode_t", "classflair_1_1meta_1_1_uav_state_machine.html#a3b7de00de9545a3f7d1019a643465612", [
      [ "Manual", "classflair_1_1meta_1_1_uav_state_machine.html#a3b7de00de9545a3f7d1019a643465612ae1ba155a9f2e8c3be94020eef32a0301", null ],
      [ "Custom", "classflair_1_1meta_1_1_uav_state_machine.html#a3b7de00de9545a3f7d1019a643465612a90589c47f06eb971d548591f23c285af", null ]
    ] ],
    [ "ThrustMode_t", "classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731", [
      [ "Default", "classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731a7a1920d61156abc05a60135aefe8bc67", null ],
      [ "Custom", "classflair_1_1meta_1_1_uav_state_machine.html#ae053854466a1dbd5d88fe25ec7111731a90589c47f06eb971d548591f23c285af", null ]
    ] ],
    [ "TorqueMode_t", "classflair_1_1meta_1_1_uav_state_machine.html#a753e0ed184288600a6c404a1007d2578", [
      [ "Default", "classflair_1_1meta_1_1_uav_state_machine.html#a753e0ed184288600a6c404a1007d2578a7a1920d61156abc05a60135aefe8bc67", null ],
      [ "Custom", "classflair_1_1meta_1_1_uav_state_machine.html#a753e0ed184288600a6c404a1007d2578a90589c47f06eb971d548591f23c285af", null ]
    ] ],
    [ "Event_t", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1fa", [
      [ "EnteringFailSafeMode", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faacbe7d94f9011b8b4837172c66eda611c", null ],
      [ "EnteringControlLoop", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faaffd8e436a03fc288a339dc5799afca23", null ],
      [ "StartLanding", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faa0a0480d215decaf46260e3db52e4dc4c", null ],
      [ "FinishLanding", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faa0912358d703c9a28d93a2707b86161b2", null ],
      [ "Stopped", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faac23e2b09ebe6bf4cb5e2a9abe85c0be2", null ],
      [ "TakingOff", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faa85916c5f3400cfa25d988f05b6736a94", null ],
      [ "EmergencyStop", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faac2e719ff1493c7c49d2e5a780450b501", null ],
      [ "Stabilized", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faafda22026db89cdc5e88b262ad9424b41", null ],
      [ "ZTrajectoryFinished", "classflair_1_1meta_1_1_uav_state_machine.html#a8c303819c3981685f734cb40a3e1e1faac5bb3b0bbec39429565b3abce47e5436", null ]
    ] ],
    [ "UavStateMachine", "classflair_1_1meta_1_1_uav_state_machine.html#ada2a19a4fdf6a861d81078347d721d40", null ],
    [ "~UavStateMachine", "classflair_1_1meta_1_1_uav_state_machine.html#af220209a381133ba7896a29ee0149f25", null ],
    [ "GetAltitudeMode", "classflair_1_1meta_1_1_uav_state_machine.html#a95ee0204cc898cb8e5179ccc5d1dc1f5", null ],
    [ "SetAltitudeMode", "classflair_1_1meta_1_1_uav_state_machine.html#a1117a954c13aa97aa5d688e4486e29fa", null ],
    [ "GotoAltitude", "classflair_1_1meta_1_1_uav_state_machine.html#a91c1396bbf486ddd5cde6072b222543d", null ],
    [ "GetOrientationMode", "classflair_1_1meta_1_1_uav_state_machine.html#a5d199a6fe92006ab0a76eda9b723a256", null ],
    [ "SetOrientationMode", "classflair_1_1meta_1_1_uav_state_machine.html#a0f23419faaab13495889b5769e94c085", null ],
    [ "GetThrustMode", "classflair_1_1meta_1_1_uav_state_machine.html#a45b552098e86c12fb4024785c1d95516", null ],
    [ "SetThrustMode", "classflair_1_1meta_1_1_uav_state_machine.html#a865806d5064cb8f8995ce5e9f1222ba4", null ],
    [ "GetTorqueMode", "classflair_1_1meta_1_1_uav_state_machine.html#a781f9c95e92023074c0a1587cfefe798", null ],
    [ "SetTorqueMode", "classflair_1_1meta_1_1_uav_state_machine.html#a70002c653806c3e18f3f04ae46b4e24b", null ],
    [ "GetCurrentQuaternion", "classflair_1_1meta_1_1_uav_state_machine.html#ae632fa95dfbd03b2459390c0aa97b7c4", null ],
    [ "GetCurrentAngularSpeed", "classflair_1_1meta_1_1_uav_state_machine.html#abeb4955dc8ace81d74fe6e7eb5c952e4", null ],
    [ "Land", "classflair_1_1meta_1_1_uav_state_machine.html#a08afc337453ad8587ff07c0c07c1d42f", null ],
    [ "EmergencyLand", "classflair_1_1meta_1_1_uav_state_machine.html#a0e53dbcb461575eed6f2cfefe7aa9437", null ],
    [ "TakeOff", "classflair_1_1meta_1_1_uav_state_machine.html#a479a742afa89d898c03aeb0a06d8f290", null ],
    [ "EmergencyStop", "classflair_1_1meta_1_1_uav_state_machine.html#a47ae3142c18f797bfba0b209e8518650", null ],
    [ "SignalEvent", "classflair_1_1meta_1_1_uav_state_machine.html#a734a11e3bbedd8dd1726b2c450353da5", null ],
    [ "GetOrientation", "classflair_1_1meta_1_1_uav_state_machine.html#af61a3a807c656973d67f51630019310e", null ],
    [ "GetDefaultOrientation", "classflair_1_1meta_1_1_uav_state_machine.html#a6b98450ff11f0d3bb4e72c03f654f293", null ],
    [ "AltitudeValues", "classflair_1_1meta_1_1_uav_state_machine.html#ac335dfcc3c91af9e59dc10d88c1da04f", null ],
    [ "EnterFailSafeMode", "classflair_1_1meta_1_1_uav_state_machine.html#a2f2db381f71bae4f92395df4400d6e0c", null ],
    [ "ExitFailSafeMode", "classflair_1_1meta_1_1_uav_state_machine.html#ab2ed3ee4d9ccdbc2bb813a9b55a0d544", null ],
    [ "FailSafeAltitudeValues", "classflair_1_1meta_1_1_uav_state_machine.html#acd12763a492e5d257da5ce1370a6d560", null ],
    [ "GetButtonsLayout", "classflair_1_1meta_1_1_uav_state_machine.html#a7fe403c4baa571230206581bfb423434", null ],
    [ "ExtraSecurityCheck", "classflair_1_1meta_1_1_uav_state_machine.html#a4d6998ef27892a685ff1f0d1be600f72", null ],
    [ "ExtraCheckJoystick", "classflair_1_1meta_1_1_uav_state_machine.html#a391e18a04f86f1660f9cb995e052cfac", null ],
    [ "ExtraCheckPushButton", "classflair_1_1meta_1_1_uav_state_machine.html#ab00c67c969f749b25c9c442debfbbdd2", null ],
    [ "GetDefaultReferenceAltitude", "classflair_1_1meta_1_1_uav_state_machine.html#a24c592e8b5013dfe9f494831d7edfacb", null ],
    [ "GetReferenceAltitude", "classflair_1_1meta_1_1_uav_state_machine.html#a9f97b96be1eaaab9dcb9e1a245b614f2", null ],
    [ "GetDefaultReferenceOrientation", "classflair_1_1meta_1_1_uav_state_machine.html#acb613e16c489a521c664817ef74f00d9", null ],
    [ "GetReferenceOrientation", "classflair_1_1meta_1_1_uav_state_machine.html#a9340da0cfbec2e72f323e51a43ae0b19", null ],
    [ "ComputeCustomTorques", "classflair_1_1meta_1_1_uav_state_machine.html#a239d9f75ff1a46752c2b06c37726336a", null ],
    [ "ComputeDefaultTorques", "classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8", null ],
    [ "ComputeCustomThrust", "classflair_1_1meta_1_1_uav_state_machine.html#a6af7f575d90ef500717a999ea4c4afef", null ],
    [ "ComputeDefaultThrust", "classflair_1_1meta_1_1_uav_state_machine.html#ab25472bbf51a7baf97ec5e9cfc148f8b", null ],
    [ "AddDeviceToControlLawLog", "classflair_1_1meta_1_1_uav_state_machine.html#ab737f2861d5c1901a0f62f54fe2c0855", null ],
    [ "AddDataToControlLawLog", "classflair_1_1meta_1_1_uav_state_machine.html#aa642bfeb1d97dec839088e2256a3699b", null ],
    [ "GetJoystick", "classflair_1_1meta_1_1_uav_state_machine.html#a8e60c6966eb00cf63c0278d575b8e394", null ],
    [ "GetURoll", "classflair_1_1meta_1_1_uav_state_machine.html#a56a4bd1ccd2bd35d3f112357ce7d7354", null ],
    [ "GetUPitch", "classflair_1_1meta_1_1_uav_state_machine.html#a5206c6547f6c5ee803f61c2b651b6a46", null ],
    [ "GetUYaw", "classflair_1_1meta_1_1_uav_state_machine.html#a9711cbe4ded896b21745d29c9ed27531", null ],
    [ "GetUZ", "classflair_1_1meta_1_1_uav_state_machine.html#ab86952dbc6e7f4c8518020f0b67b68e5", null ],
    [ "GetAltitudeTrajectory", "classflair_1_1meta_1_1_uav_state_machine.html#ab8b3d2da5d89e9a7faa17de65a7cf0eb", null ],
    [ "joy", "classflair_1_1meta_1_1_uav_state_machine.html#a3929dfba87003f40ce398a123616dd48", null ],
    [ "setupLawTab", "classflair_1_1meta_1_1_uav_state_machine.html#a9e5c71804025830b11104cdbe2d0f7dc", null ],
    [ "graphLawTab", "classflair_1_1meta_1_1_uav_state_machine.html#a317042b2fcf037957ffc5539b8b2342e", null ]
];